/*
- VARIABILI
- GENERAL
- FONTS

- STILI CUSTOM
    - SLIDER
    - BUTTONS

- PATTERN
    - SLIDER HERO

- HEADER
    - HAMBURGER
    - SUB MENU
    - OVERLAY


- PRELOADER

- FOOTER


- FORM



*/



/** -------------------------------------------------------------------------------- */
/* // ! VARIABILI */
/** -------------------------------------------------------------------------------- */
:root{
    --transition: all 0.3s;
    --transition-cubic: all 0.5s cubic-bezier(0.59, 0.03, 0.2, 1);
    --font-queensila: var(--wp--preset--font-family--queensila);
    --font-poppins: var(--wp--preset--font-family--poppins);
    --font-cinzel: var(--wp--preset--font-family--cinzel);
}
  
  
  
/** -------------------------------------------------------------------------------- */
/* // ! GENERAL */
/** -------------------------------------------------------------------------------- */



/** -------------------------------------------------------------------------------- */
/* // ! FONTS */
/** -------------------------------------------------------------------------------- */
@media(min-width:1441px){
  p {
    font-size:18px!important;
  }
}
.has-titolo-grande-font-size{
  font-family: var(--font-queensila);
  font-weight: 400;
  letter-spacing: 3px;
  line-height: 1;
}
.has-paragrafo-grande-font-size{
  font-weight: 200 !important;
  line-height: 1.2;
}
.has-paragrafo-grande-font-size strong{
  font-weight: 600 !important;
}

.has-titolo-sezione-font-size{
  font-family: var(--font-cinzel);
  font-weight: 500;
  line-height: 1;
}
.has-titolo-xs-font-size{
  font-family: var(--font-cinzel);
  font-weight: 400;
  line-height: 1;
}


.has-testo-big-font-size {
  font-family: var(--font-queensila);
  position: absolute;
  white-space: nowrap;
  opacity: 0.7;
  pointer-events: none;
}
.testo-chi-sono{
  top: -24%;
  z-index: -1;
  left: 88%;
}
@media(max-width:991px){
  .testo-chi-sono {
    top: -143%;
    z-index: -1;
    left: 10%;
  }
}


.testo-interventi{
  top: -14%;
  left: 85%;
}
@media(max-width:991px){
  .testo-interventi {
    top: -122%;
    z-index:1;
    left: 3%;
  }
}

.testo-charity{
  top: -12%;
  left: 20%;
}
@media(max-width:991px){
  .testo-charity {
    top: -6%;
    left:15%;
  }
}

.testo-creator{
  top: -14%;
  left: 85%;
}
@media(max-width:991px){
  .testo-creator {
    top: -114%;
    z-index:1;
    left: 3%;
  }
}



  
  
/** -------------------------------------------------------------------------------- */
/* // ! STILI CUSTOM */
/** -------------------------------------------------------------------------------- */  
/*? -------------------------------------------------------------------------------- */
/*? SLIDER */
/*? -------------------------------------------------------------------------------- */
/* bullets */
.container-paginazione-slider{
      height: 60px;
}
@media(max-width:781px){
  .swiper-pagination-bullets{
        display:none!important;
  }
}
.swiper-pagination-bullet{
  background: currentColor !important;
}
  
/* freccie */
.swiper-button-next:after,
.swiper-button-prev:after{
  display: none;
}
.swiper-button-next .material-symbols-outlined,
.swiper-button-prev .material-symbols-outlined{
  color: var(--wp--preset--color--custom-nero);
  font-size: 40px;
}

/* freccie bianche */
.wp-block-query.is-style-freccie-bianche .material-symbols-outlined{
  color: var(--wp--preset--color--custom-bianco) !important;
}
  


/*? -------------------------------------------------------------------------------- */
/*? BUTTONS */
/*? -------------------------------------------------------------------------------- */
.wp-block-button__link:hover{
  background-color: var(--wp--preset--color--custom-quattro) !important;
}
.hero-btn a:hover[style]{
  background-color: transparent !important;
}
@media(max-width:781px){
  .hero-btn{
    margin-top: -50px !important;
  }
}
@media(min-width:782px){
  .hero-btn{
    margin-top: -150px !important;
  }
  .hero-btn-thank{
    margin-top: -50px !important;
  }
}





/** -------------------------------------------------------------------------------- */
/* // ! PATTERN */
/** -------------------------------------------------------------------------------- */
/*? -------------------------------------------------------------------------------- */
/*? SLIDER INTRO */
/*? -------------------------------------------------------------------------------- */
.slider-intro .container-paginazione-slider {
  height: auto;
}



  
  
/** -------------------------------------------------------------------------------- */
/* // ! HEADER */
/** -------------------------------------------------------------------------------- */
header{
    position: fixed;
    width: 100%;
    z-index: 99;
    transition: var(--transition);
}
.scrollato header{
  /*background-color: var(--wp--preset--color--custom-due);*/
  background-color: #ffffff40 !important
  box-shadow: 0px 0px 30px #00000030;
}
  

/* logo */
@media(max-width:781px){
  .custom-logo{
    max-width: 140px !important;
  }
}


  
/*? -------------------------------------------------------------------------------- */
/*? HAMBURGER */
/*? -------------------------------------------------------------------------------- */
/* btn hamburger */
.hamburger-mobile{
  text-align: center;
  margin: 0 !important;
}
.btn-menu {
  z-index: 34;
  background: transparent;
  min-height: 22px;
  padding-left: 0;
  padding-right: 0;
  border: none;
  color: inherit;
  cursor: pointer;
  transition: 0.3s ease;
  display: flex;
  flex-direction: row-reverse;
  align-items: center;
  gap: 10px;
}
.menu-open .btn-menu,
.scrollato .btn-menu{
  background-color: transparent;
}
  
.btn-menu__bars {
  display: block !important;
  background: var(--wp--preset--color--custom-nero);
  position: relative;
  width: 36px;
  height: 1px;
  transition: 0.3s;
}
  
  
.btn-menu__bars:before{
  content: "";
  background: var(--wp--preset--color--custom-nero);
  display: block;
  position: absolute;
  right: 0;
  width: 100%;
  height: 100%;
  transition: 0.3s;
}
  
  
.btn-menu__bars:after {
  content: "";
  background: var(--wp--preset--color--custom-nero);
  display: block;
  position: absolute;
  left: 0;
  width: 100%;
  height: 100%;
  transition: 0.3s;
}
  
  
.btn-menu__bars:before {
  transform: translate(0, -8px);
}
  
.btn-menu__bars:after {
  transform: translate(0, 8px);
}
  
/* menu open */
.menu-open .btn-menu .btn-menu__bars {
  background-color: transparent;
}
.menu-open .btn-menu__bars:before {
  background-color: var(--wp--preset--color--custom-nero);
  transform: rotate(45deg);
  right: 0;
  width: 100%;
}

.menu-open .btn-menu__bars:after {
  background-color: var(--wp--preset--color--custom-nero);
  transform: rotate(-45deg);
  width: 100%;
}
  




/*? -------------------------------------------------------------------------------- */
/*? VOCI E SUB MENU */
/*? -------------------------------------------------------------------------------- */
.header-menu .wp-block-create-block-ggwd-block-gutenberg-menu-navigazione ul.menu{
  margin: 0;
}
.header-menu .wp-block-create-block-ggwd-block-gutenberg-menu-navigazione ul.menu > li{
  padding: 20px 0px;
}
.header-menu .wp-block-create-block-ggwd-block-gutenberg-menu-navigazione ul.menu > li > a{
  line-height: 1.5;
}
.header-menu .wp-block-create-block-ggwd-block-gutenberg-menu-navigazione .menu-item-has-children{
  position: relative; 
  display: flex;
}
.header-menu .wp-block-create-block-ggwd-block-gutenberg-menu-navigazione .menu-item-has-children .sub-menu{
  display: block;
  background-color: var(--wp--preset--color--due);
  position: absolute;
  top: 60px;
  opacity:1;
  transition: all 0.45s cubic-bezier(0.65, 0, 0.076, 1);
  opacity:0;
  visibility:hidden;
  background-color: var(--wp--preset--color--custom-bianco);
  width: max-content;
  box-shadow: 0px 0px 20px #00000030;
}
.header-menu .wp-block-create-block-ggwd-block-gutenberg-menu-navigazione .menu-item-has-children:not(.overlay-menu .menu-item-has-children):hover .sub-menu{
  opacity:1;
  visibility:visible;
  top:60px;
}
.header-menu .wp-block-create-block-ggwd-block-gutenberg-menu-navigazione .menu-item-has-children .sub-menu > li{
  padding: 10px;
  border-bottom: 1px solid var(--wp--preset--color--custom-bianco);
  transition: all 0.3s;
}
.header-menu .wp-block-create-block-ggwd-block-gutenberg-menu-navigazione .menu-item-has-children .sub-menu > li:hover{
  background-color: var(--wp--preset--color--custom-due);
}
.header-menu .wp-block-create-block-ggwd-block-gutenberg-menu-navigazione .menu-item-has-children > a{
  gap: 0px;
}

.header-menu .wp-block-create-block-ggwd-block-gutenberg-menu-navigazione{
  /* text-transform: uppercase; */
  font-weight: 400;
}

.header-menu .freccia-sub-menu{
  position: relative;
  top: 0px;
}


  
/*? -------------------------------------------------------------------------------- */
/*? OVERLAY */
/*? -------------------------------------------------------------------------------- */
.overlay-menu:not(.editor-styles-wrapper .overlay-menu) {
  position: fixed;
  width: 100%;
  z-index: -1;
  transform: translateY(-110%);
  transition: all 0.8s cubic-bezier(0.59, 0.03, 0.2, 1);
  top: 0;
}

.menu-open .overlay-menu {
  transform: translateY(0%) !important;
}

.overlay-menu ul.menu {
  gap: 5px;
}

.overlay-menu ul.menu > li {
  /* padding: 0 !important; */
  /* font-size: clamp(18px, 4vw, 22px); */
}

.overlay-menu ul.menu > li > a {
  flex-direction: row;
  align-items: center;
  justify-content: center;
  line-height: 1.2;
}

.overlay-menu ul.menu > li.menu-item-has-children .sub-menu > li > a {
  font-size: 22px;
  margin-bottom: 0px;
  text-align: center;
  margin-bottom: 5px;
}

.overlay-menu .freccia-sub-menu {
  position: relative;
  top: 2px;
}


/* altezza massima */
.overlay-menu .wp-block-create-block-ggwd-block-gutenberg-menu-navigazione {
  max-height: 74vh;
  overflow: auto;
  padding-bottom: 40px;
}


/** -------------------------------------------------------------------------------- */
/* // ! PRELOADER */
/** -------------------------------------------------------------------------------- */
#preloader .preloader-inner{
  flex-direction: column;
  gap: 20px;
  justify-content: center;
  }
    
.loader {
  width: 6px;
  height: 6px;
  border-radius: 50%;
  background-color: var(--wp--preset--color--custom-uno);
  box-shadow: 32px 0 var(--wp--preset--color--custom-uno), -32px 0 var(--wp--preset--color--custom-uno);
  position: relative;
  animation: flash 1s ease-out infinite alternate;
  margin: 20px 0px;
}
    
@keyframes flash {
  0% {
  background-color: #ffffff20;
  box-shadow: 32px 0 #ffffff20, -32px 0 var(--wp--preset--color--custom-uno);
  }
  50% {
  background-color: var(--wp--preset--color--custom-uno);
  box-shadow: 32px 0 #ffffff20, -32px 0 #ffffff20;
  }
  100% {
  background-color: #ffffff20;
  box-shadow: 32px 0 var(--wp--preset--color--custom-uno), -32px 0 #ffffff20;
  }
}





/** -------------------------------------------------------------------------------- */
/* // ! FOOTER */
/** -------------------------------------------------------------------------------- */
.menu-footer ul {
  margin: 0;
  gap: 5px;
}

footer .menu-item ul.sub-menu {
  display: none;
}






/** -------------------------------------------------------------------------------- */
/* // FORM */
/** -------------------------------------------------------------------------------- */
.gform_fields{
  row-gap: 10px !important;
}
.gform_button{
  border-radius: 0px !important; 
}
/* Placeholder neri per Gravity Forms */
#gform_wrapper_1 ::-webkit-input-placeholder {
  color: #000 !important;
}
#gform_wrapper_1 :-ms-input-placeholder {
  color: #000 !important;
}
#gform_wrapper_1 ::-ms-input-placeholder {
  color: #000 !important;
}
#gform_wrapper_1 ::placeholder {
  color: #000 !important;
}
.gform_wrapper .gform_footer {
  text-align: center!important;
}
.gform_wrapper .gform_footer input[type="submit"] {
  margin: 0 auto!important;
  display: inline-block!important;
}

.storia,
.nuvola,
.charity,
.creator,
.contatti {
  background-repeat: repeat-x !important; 
}

.lenis-scrolling header {
  background-color: #ffffff40 !important; 
}

figure.wp-block-image {
  margin-bottom: 0!important;
}

.storia .wp-block-columns,
.nuvola .wp-block-columns,
.charity .wp-block-columns,
.creator .wp-block-columns {
  gap: 0 !important;
}


@media(max-width:781px){
  .nuvola .container-freccie-slider{
    display:none !important;
  }
}


/* Rende la copertina cliccabile interamente */
.lightbox-cover {
  position: relative;
  overflow: hidden;
}

/* Prende il link dentro e lo estende su tutta la copertina */
.lightbox-cover .wp-block-cover__inner-container a {
  position: absolute !important;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  width: 100%;
  height: 100%;
  display: block;
  z-index: 5;
  text-indent: -9999px; /* nasconde il testo */
  background: transparent;
  cursor: zoom-in;
}

/* Evita interferenze grafiche */
.lightbox-cover .wp-block-cover__inner-container {
  position: static !important;
}


/* Corregge posizione da mobile: un po’ più bassa se serve */
@media (max-width: 768px) {
  #slb_viewer_wrap .slb_theme_slb_baseline[style] {
      top: 25%!important;
  }
}


.slb_details {
    display:none !important;
  }

p strong {
    font-weight:700 !important;
  }

  
@media (max-width:1440px) {
  .gruppo-desktop {
    margin-top:-40px !important;
  }
  .alessia[style] {
    width:100px !important;
  }
  .wp-container-core-group-is-layout-8f059c93 > :where(:not(.alignleft):not(.alignright):not(.alignfull))[style], 
  .wp-container-core-group-is-layout-7796cc9c > :where(:not(.alignleft):not(.alignright):not(.alignfull))[style] {
      max-width: 55%!important;
  } 
  .wp-container-core-group-is-layout-062e26a4 > :where(:not(.alignleft):not(.alignright):not(.alignfull))[style], 
  .wp-container-core-group-is-layout-956068b0 > :where(:not(.alignleft):not(.alignright):not(.alignfull))[style],
  .wp-container-core-group-is-layout-f1f2ed93 > :where(:not(.alignleft):not(.alignright):not(.alignfull))[style] {
      max-width: 100%!important;
  }
}